com.holonplatform.vaadin.components.builders

## Interface SingleSelectInputBuilder<T,B extends SingleSelectInputBuilder<T,B>>

- Type Parameters:
    `T` - Value type
    `B` - Actual builder type
  All Superinterfaces:
    BaseSelectInputBuilder<T,SingleSelect<T>,T,T,B>, BaseSelectInputBuilder.SingleSelectConfigurator<T,T,B>, ComponentConfigurator<B>, InputBuilder<T,SingleSelect<T>,B>, InputConfigurator<T,B>, SelectInputBuilder<T,SingleSelect<T>,T,T,B>, SelectItemDataSourceBuilder<T,SingleSelect<T>,T,T,B>
  All Known Subinterfaces:
    BaseSelectModeSingleSelectInputBuilder<T,B>, BaseSelectModeSingleSelectInputBuilder.NativeModeSingleSelectInputBuilder<T>, BaseSelectModeSingleSelectInputBuilder.OptionsModeSingleSelectInputBuilder<T>, BaseSelectModeSingleSelectInputBuilder.SelectModeSingleSelectInputBuilder<T>, SingleSelectInputBuilder.GenericSingleSelectInputBuilder<T>

      public interface SingleSelectInputBuilder<T,B extends SingleSelectInputBuilder<T,B>>
      extends BaseSelectInputBuilder.SingleSelectConfigurator<T,T,B>, SelectItemDataSourceBuilder<T,SingleSelect<T>,T,T,B>

  Builder to create a single selection `Input`.
  Since:
    5.0.0

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `SingleSelectInputBuilder.GenericSingleSelectInputBuilder<T>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.components.builders.BaseSelectInputBuilder

      `BaseSelectInputBuilder.MultiSelectConfigurator<T,ITEM,B extends BaseSelectInputBuilder.MultiSelectConfigurator<T,ITEM,B>>, BaseSelectInputBuilder.RenderingMode, BaseSelectInputBuilder.SingleSelectConfigurator<T,ITEM,B extends BaseSelectInputBuilder.SingleSelectConfigurator<T,ITEM,B>>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.components.builders.InputConfigurator

      `InputConfigurator.BaseFieldConfigurator<T>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.components.builders.ComponentConfigurator

      `ComponentConfigurator.BaseComponentConfigurator`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `<F> B` | `dataSource(com.vaadin.data.provider.DataProvider<T,F> dataProvider, com.vaadin.server.SerializableFunction<String,F> filterProvider)` Set the selection items data provider.
    `B` | `dataSource(ItemDataProvider<T> dataProvider, com.vaadin.server.SerializableFunction<String,com.holonplatform.core.query.QueryFilter> filterProvider)` Set the selection items data provider.

    - ### Methods inherited from interface com.holonplatform.vaadin.components.builders.SelectItemDataSourceBuilder

      `dataSource, dataSource`

    - ### Methods inherited from interface com.holonplatform.vaadin.components.builders.SelectInputBuilder

      `addItem, addItem, addItem, addItem, items, items`

    - ### Methods inherited from interface com.holonplatform.vaadin.components.builders.BaseSelectInputBuilder

      `itemCaption, itemCaption, itemCaption, itemCaptionGenerator, itemDescriptionGenerator, itemIcon, itemIconGenerator`

    - ### Methods inherited from interface com.holonplatform.vaadin.components.builders.InputBuilder

      `asField, build, deferLocalization, dragSource, dropTarget, validatable`

    - ### Methods inherited from interface com.holonplatform.vaadin.components.builders.InputConfigurator

      `locale, readOnly, tabIndex, withValue, withValueChangeListener`

    - ### Methods inherited from interface com.holonplatform.vaadin.components.builders.ComponentConfigurator

      `caption, caption, caption, captionAsHtml, description, description, description, disabled, errorHandler, fullHeight, fullSize, fullWidth, height, height, heightUndefined, hidden, icon, id, notVisible, primaryStyleName, replaceStyleName, responsive, sizeUndefined, styleName, width, width, widthUndefined, withAttachListener, withContextClickListener, withData, withDetachListener, withShortcutListener`

- - ### Method Detail

    - #### dataSource

          B dataSource(ItemDataProvider<T> dataProvider,
                       com.vaadin.server.SerializableFunction<String,com.holonplatform.core.query.QueryFilter> filterProvider)

      Set the selection items data provider.
      Parameters:
        `dataProvider` - Items data provider (not null)
        `filterProvider` - Optional caption `QueryFilter` provider for `RenderingMode#SELECT` type inputs
      Returns:
        this

    - #### dataSource

          <F> B dataSource(com.vaadin.data.provider.DataProvider<T,F> dataProvider,
                           com.vaadin.server.SerializableFunction<String,F> filterProvider)

      Set the selection items data provider.
      Type Parameters:
        `F` - Caption filter type
      Parameters:
        `dataProvider` - Items data provider (not null)
        `filterProvider` - Optional caption `QueryFilter` provider for `RenderingMode#SELECT` type inputs
      Returns:
        this

Copyright © 2019 The Holon Platform. All rights reserved.